package com.dcit.authority.dto.node;

import java.util.List;

public class DeptUserTreeNode {
	
	private String deptId;
	
	private String deptParentId;
	
	private String deptName;
	
	private List<DeptUser> userList;
	
	public String getDeptId() {
		return deptId;
	}

	public void setDeptId(String deptId) {
		this.deptId = deptId;
	}

	public String getDeptParentId() {
		return deptParentId;
	}

	public void setDeptParentId(String deptParentId) {
		this.deptParentId = deptParentId;
	}

	public String getDeptName() {
		return deptName;
	}

	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}

	public List<DeptUser> getUserList() {
		return userList;
	}

	public void setUserList(List<DeptUser> userList) {
		this.userList = userList;
	}

	public class DeptUser{
		private String userId;

	    private String userName;

	    private String mobilePhone;

	    private String phone;

	    private String email;

	    private String fax;

		public String getUserId() {
			return userId;
		}

		public void setUserId(String userId) {
			this.userId = userId;
		}

		public String getUserName() {
			return userName;
		}

		public void setUserName(String userName) {
			this.userName = userName;
		}

		public String getMobilePhone() {
			return mobilePhone;
		}

		public void setMobilePhone(String mobilePhone) {
			this.mobilePhone = mobilePhone;
		}

		public String getPhone() {
			return phone;
		}

		public void setPhone(String phone) {
			this.phone = phone;
		}

		public String getEmail() {
			return email;
		}

		public void setEmail(String email) {
			this.email = email;
		}

		public String getFax() {
			return fax;
		}

		public void setFax(String fax) {
			this.fax = fax;
		}
		
	}

}
